﻿@model BaseFlyerTemplateViewModel
@{
    Layout = null;
}



    <div class="txt-center flyer-alignment">
     
        <div class="txt-center text-bold" ng-hide="Model.Body.MinMaxTimeAM==null">
            <span class="pm-schedule">AM SCHEDULE: </span>

            <span class="gothambold-font am-pm"> {{Model.Body.StrscheduleAMTimes}}</span>
        </div>
        <!--<br ng-hide="Model.Body.MinMaxTimeAM==null" />-->
        <div>
            <table class="table-flyers" ng-hide="Model.Body.MinMaxTimeAM==null">
                <tbody>

                    <tr ng-repeat="item in Model.Body.ProgramSchedulesAM" role="row" class="row-block-flyer">
                        <td class="td-days-flyer">
                            <div class="vertical-center">

                                <div ng-class="['gothambold-font',{'day-flyer':Model.IsGreenColor==true,'day-flyer-blue':Model.IsBlueColor==true,'day-flyer-black':Model.IsGreenColor==false  && Model.IsBlueColor==false}]">{{item.Day}}</div>
                                <div class="gothambold-font">{{item.StrSession}} sessions</div>
                                <div class="gothambold-font" ng-show="item.ProgramsNoClass !=''">
                                    No class: {{item.ProgramsNoClass}}
                                </div>
                            </div>
                        </td>
                        <td ng-repeat="itemProgram in item.Details" class="td-flyer" ng-class="{'td-Greenbg': itemProgram.ProgramName=='' && Model.IsGreenColor==true,'td-blue-bg': itemProgram.ProgramName=='' && Model.IsBlueColor==true,'td-blackBg':itemProgram.ProgramName=='' && Model.IsGreenColor==false &&  Model.IsBlueColor==false}">
                            <div class="vertical-center">
                                <div class="gothambold-font">{{itemProgram.ProgramName}}</div>
                                <div class="gothambold-font">{{itemProgram.ProviderName}}</div>
                                <div class="gothambook-font" ng-show="(itemProgram.GradeOrAges != null  || Model.Body.ScheduleAMTimesWithDistinct.length > 1)  && itemProgram.ProgramName!=''">
                                    (<span ng-show="itemProgram.GradeOrAges !=null ">{{itemProgram.GradeOrAges}}</span><span ng-show="Model.Body.ScheduleAMTimesWithDistinct.length > 1">{{itemProgram.StrStartTime}}</span>)
                                </div>

                                <div class="gothambook-font">{{itemProgram.Amount.formatCurrencyWithPenny(2)}}</div>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>

    </div>
    <div class="txt-center flyer-alignment-lg-table">
        <div class="txt-center text-bold" ng-hide="Model.Body.MinMaxTimePM==null">
            <span class="pm-schedule">PM SCHEDULE: </span>
            <span class="gothambold-font am-pm"> {{Model.Body.StrschedulePMTimes}}</span>

        </div>

        <table class="table-flyers">
            <tbody>

                <tr ng-repeat="item in Model.Body.ProgramSchedulesPM" role="row" class="row-block-flyer">
                    <td class="td-days-flyer">
                        <div class="vertical-center">
                            <div ng-class="['gothambold-font',{'day-flyer':Model.IsGreenColor==true,'day-flyer-blue':Model.IsBlueColor==true,'day-flyer-black':Model.IsGreenColor==false && Model.IsBlueColor==false}]">{{item.Day}}</div>
                            <div class="gothambold-font">{{item.StrSession}} sessions</div>
                            <div  class="gothambold-font" ng-show="item.ProgramsNoClass !=''">
                                No class: {{item.ProgramsNoClass}}
                            </div>
                        </div>
                    </td>

                    <td ng-repeat="itemProgram in item.Details" ng-class="{'td-Greenbg': itemProgram.ProgramName=='' && Model.IsGreenColor==true,'td-blue-bg': itemProgram.ProgramName=='' && Model.IsBlueColor==true,'td-blackBg':itemProgram.ProgramName=='' && Model.IsGreenColor==false && Model.IsGreenColor==false}" class="td-flyer">
                        <div class="vertical-center">
                            <div class="gothambold-font">{{itemProgram.ProgramName}}
                            </div>
                            <div class="gothambold-font">{{itemProgram.ProviderName}}</div>
                            <div class="gothambook-font" ng-show="(itemProgram.GradeOrAges !=null  || Model.Body.SchedulePMTimesWithDistinct.length > 1) && itemProgram.ProgramName!=''">(<span ng-show="itemProgram.GradeOrAges !=null ">{{itemProgram.GradeOrAges}}</span><span ng-show="Model.Body.SchedulePMTimesWithDistinct.length > 1">{{itemProgram.StrStartTime}}</span>)</div>

                            <div class="gothambook-font">{{itemProgram.Amount.formatCurrencyWithPenny(2)}}</div>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

  